/* ====================================================================
 * The Apache Software License, Version 1.1
 *
 * Copyright (c) 2000 The Apache Software Foundation.  All rights
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "Apache" and "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 * Portions of this software are based upon public domain software
 * originally written at the National Center for Supercomputing Applications,
 * University of Illinois, Urbana-Champaign.
 */
package com.bonevich.eclipse.cvsgrapher;

/**
 * Interface defining useful constants for accessing resource messages.
 * 
 * @author jbonevic
 */
public interface CvsGraphPluginResources
{
	public static final String RESOURCE_BUNDLE = "CvsGraphPluginResources";

	public static final String CVSGRAPHER_EDITOR_TITLE = "cvsgrapher.editor.title";
	public static final String CVSGRAPHER_EDITOR_TITLE_WITHARG = "cvsgrapher.editor.titleWithArgument";
	
	public static final String CVSGRAPHER_PREFS_GENERAL = "cvsgrapher.prefs.general";
	public static final String CVSGRAPHER_PREFS_COLOR_VERSION_LABEL = "cvsgrapher.prefs.color.version.label";
	public static final String CVSGRAPHER_PREFS_COLOR_BRANCH_LABEL = "cvsgrapher.prefs.color.branch.label";

	public static final String CVSGRAPHER_PREFS_MERGETAG_SOURCE_LABEL = "cvsgrapher.prefs.mergetag.source.label";
	public static final String CVSGRAPHER_PREFS_MERGETAG_DEST_LABEL = "cvsgrapher.prefs.mergetag.dest.label";
	public static final String CVSGRAPHER_PREFS_MERGETAGS_LABEL = "cvsgrapher.prefs.mergetags.label";

	public static final String CVSGRAPHER_PREFS_SHOW_AUTHOR_LABEL = "cvsgrapher.prefs.show.author.label";
	public static final String CVSGRAPHER_PREFS_SHOW_TIMESTAMP_LABEL = "cvsgrapher.prefs.show.timestamp.label";
	public static final String CVSGRAPHER_PREFS_SHOW_TAGS_LABEL = "cvsgrapher.prefs.show.tags.label";
	public static final String CVSGRAPHER_PREFS_SHOW_LABEL = "cvsgrapher.prefs.show.label";
	
}